package com.brilliance.isc.common.api.settle.service;

import com.brilliance.isc.common.api.settle.vo.AccountRequestVo;
import com.brilliance.isc.common.api.settle.vo.AccountResponseVo;
import com.brilliance.isc.common.api.settle.vo.SettleDetailRequestVo;
import com.brilliance.isc.common.api.settle.vo.SettleDetailResponseVo;
import com.brilliance.isc.common.setgll.vo.SetgllVo;

public interface SettleDetailApiService {

    SettleDetailResponseVo calcSettleDetail(SettleDetailRequestVo payDetailRequestVo);

    AccountResponseVo getCoreAccountCode(AccountRequestVo accountRequestVo);

    SetgllVo getAcctInfo(SetgllVo setgllVo);

    AccountResponseVo getAccountNature(AccountRequestVo accountRequestVo);
}
